---
version: "3"

networks:
  db:
  proxy:
    external: true

volumes:
  bookstack_data:
  db_data:

services:

  bookstack:
    image: {{bookstack_image}}:{{bookstack_image_version}}
    restart: unless-stopped
    logging:
      options:
        max-size: 5m
    networks:
      - proxy
      - db
    env_file: 
      - "./bookstack.env"
    volumes:
      - bookstack_data:/config
    depends_on:
      - db


  db:
    image: lscr.io/linuxserver/mariadb
    restart: unless-stopped
    logging:
      options:
        max-size: 5m
    networks:
      - db
    env_file: 
      - "./db.env"
    # hae? seems wrong
    volumes:
      - db_data:/config
